@echo off
echo Noise Measurements for D1300812 as part of test procedure E1300845.
echo Running noise measurement FFTs for D1300812 PLL Board rev A.
echo IN should be grounded (preferrably terminated w/ 50Ohms), D2 and D14 should be down, all other switches up.
echo Channel A1 should be connected to VCO out.
set /p SERIAL="Serial number of D1300812 board (No :'s, please):"
set FILENAME=%SERIAL%VCOoutNoise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
CompositeFFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -n 800 -v 100 --ic1 AC
echo OUT1 FFT complete. Plug channel A1 into f/phi.
pause
set FILENAME=%SERIAL%fphiNoise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
CompositeFFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -n 800 -v 100 --ic1 AC
echo --- Noise Measurements Complete ---
pause
