@echo off
echo High-frequency Transfer Function for D1300812 as part of test procedure T1200845.
echo %date% %time%
echo Running HF transfer function for D1300812 PLL for VCO servo board.
echo Channel R should be teed (prefferably using a splitter) to both RF Out and IN. (After calibration.) 
echo It is preffered to also use a T with a 50Ohm terminator at IN1. 
echo Channel A should be connected to the VCO TNC output. 
set /p SERIAL="Serial number of D1300812 board (No :'s, please):"
set FILENAME=%SERIAL%IN1VCOHighFreqTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFAG4395A.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -p 200 --AR --start 10kHz --fin 10MHz -v 100
echo Conect Channel A to f/phi output.
pause
set FILENAME=%SERIAL%INFphiHighFreqTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFAG4395A.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -p 200 --AR --start 10kHz --fin 10MHz -v 100
echo High frequency transfer function complete
pause