@echo off
echo Monitor Channel Transfer Functions for D1300812 as part of test procedure E1300845.
echo %date% %time%
echo Running mon channel transfer functions for D1300812 PLL Board rev A.
echo Channel A1 should be teed to both Source Out and IN.
echo Channel A2 should be connected to D17 Input Mon.
set /p SERIAL="Serial number of D1300812 board (No :'s, please):"
set FILENAME=%SERIAL%InputMonTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Plug channel A2 into D18 Output Mon.
pause
set FILENAME=%SERIAL%OutputMonTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100 -e 1 -n 101 --sweep Log -x 1V -t 2
echo Monitor channel TFs complete.
pause
